Bug 1020863 - Process instance details not loaded in task list
Process instance details not loaded in task list
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity urgent
: ER5
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 08:04 EDT by Jan Hrcek
Modified: 2014-08-06 16:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Summary: Process instance data is missing when trying to view the Process Context via the task details. Only an "Instance Details" screen is opened up with empty content. Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps to reproduce - video (5.99 MB, video/webm)
2013-10-18 08:04 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-18 08:04:38 EDT
Created attachment 813760 [details]
Steps to reproduce - video

Description of problem:
When you click the button 'Process instance details' in 'task details > Process Context' a new panel 'Instance Details' is opened, but it contains no process instance data.

See video attached for steps to reproduce

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER4

How reproducible:
Always

Steps to Reproduce:
1. In Authoring > Project Authoring select demo > jbpm-playground > Evaluation and build&deploy this project using Tools > Project Editor 
2. Go to Process Management > Process Definitions and start an instance of Evaluation project (using username you are logged in, so the task is assigned to you)
3. Go to tasks > task list and click details button (magnifying glass) for the task Self evaluation
4. In the Details panel that is opened choose Process context > Process Instance Details 

Actual results:
New 'Instance details' panel is opened, but it contains no process instance data.

Expected results:
The process instance details should be loaded and displayed

Additional info:
Comment 1 Lukáš Petrovický 2013-10-21 03:05:29 EDT
Beta Blocker wasn't approved yet, removing the wording from Internal Whiteboard.
Comment 3 Jan Hrcek 2013-11-29 08:19:10 EST
Verified with BPMS 6.0.0 ER5 deployed on EAP 6.1.1

Note You need to log in before you can comment on or make changes to this bug.